Subject: [trill] FW: New Version Notification for draft-mizrahi-trill-loss-delay-01.txt

From: Tal Mizrahi <[email-masked]>
Date: Sun, 14 Jul 2013 11:56:51 +0300

Hi,

The main changes in this draft compared to the previous draft:
- New section: "8. Performance Monitoring Process"
- Minor fixes of various inaccuracies, typos, etc.
- Moved the description of the Reflector Entropy TLV to the FM draft.
- Deepak Kumar has joined as a co-author.

Any comments will be appreciated.

Thanks,
Tal.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Sunday, July 14, 2013 11:48 AM
To: Samer Salam; Tal Mizrahi; Donald E.Eastlake 3rd; Deepak Kumar; Tissa Senevirathne; Donald Eastlake 3rd
Subject: New Version Notification for draft-mizrahi-trill-loss-delay-01.txt

A new version of I-D, draft-mizrahi-trill-loss-delay-01.txt
has been successfully submitted by Tal Mizrahi and posted to the IETF repository.

Filename:	 draft-mizrahi-trill-loss-delay
Revision:	 01
Title:		 Loss and Delay Measurement in Transparent Interconnection of Lots of Links (TRILL)
Creation date:	 2013-07-14
Group:		 Individual Submission
Number of pages: 34
URL:             http://www.ietf.org/internet-drafts/draft-mizrahi-trill-loss-delay-01.txt
Status:          http://datatracker.ietf.org/doc/draft-mizrahi-trill-loss-delay
Htmlized:        http://tools.ietf.org/html/draft-mizrahi-trill-loss-delay-01
Diff:            http://www.ietf.org/rfcdiff?url2=draft-mizrahi-trill-loss-delay-01

Abstract:
   Performance Monitoring (PM) is a key aspect of Operations,
   Administration and Maintenance (OAM). It allows network operators to
   verify the Service Level Agreement (SLA) provided to customers, and
   to detect network anomalies. This document specifies mechanisms for
   Loss Measurement (LM) and Delay Measurement (DM) in TRILL networks.

The IETF Secretariat

---

From: gayle noble <[email-masked]>
Date: Sun, 14 Jul 2013 17:27:38 -0700

some grammar things that jumped out at me

page 4

o Delay Measurement (DM): the DM protocol measures the packet
delay

and packet delay variation between two
RBridges. The measurement

is performed using
timestamped [time
stamped] OAM messages.

page 5

2.3. Abbreviations  [**] L comes before M so
Loss Measurement should probably come after Inter-Frame Delay
Variation

MP      Maintenance Point

LM      Loss Measurement

OAM     Operations, Administration and
Maintenance

page 9

4.1.1. 1SL Message Transmission

OWLM can be applied either proactively or on-demand, although
as

mentioned in Section 3.2.1. ,
[(extra space between period and
comma)3.2.1.,] it is more likely to be applied proactively.

page 11

[please see

http://www.gpuss.co.uk/english_usage/a_or_an.htm which explains what
I learned in school about using an or a]

The sender maintains a counter of transmitted SLM
messages, and

includes the value of this counter, TX, in each transmitted
SLM

message. The reflector maintains a counter of received SLM
messages,

TRX. The reflector generates an SLR
[a SLR], and incorporates TRX into the SLR
packet.

page 12

An SLM [A
SLM] message MAY be sent with a Data TLV, allowing loss
measurement for various packet sizes.

4.2.2. SLM Message Reception

The reflector MUST maintain a reception counter, TRX, for each
peer

MEP and probe instance (test ID).

Upon receiving an SLM
[a SLM] packet, the reflector MUST verify
that:

page 16

since DMM stands for
Delay Measurement Message maybe this should be

5.2.1. DMM Message Transmission
[DMM Transmission]??

same thought here

A sender MAY include a Reflector Entropy TLV in a
DMM message
[DMM]. The Reflector Entropy TLV format is
specified in [TRILL-FM].??

---

From: Tal Mizrahi <[email-masked]>
Date: Mon, 15 Jul 2013 09:24:41 +0300

Hi Gayle,

Thanks for taking the time to review the document.

>       is performed using timestamped [time stamped] OAM messages.
I believe the time community uses the noun 'timestamp' and the verb 'to timestamp' rather than using the two words 'time stamp'. See for example: RFC5905, RFC4656, RFC6374.

> [please see http://www.gpuss.co.uk/english_usage/a_or_an.htm which explains what I learned in school about using an or a]
>   TRX. The reflector generates an SLR [a SLR], and incorporates TRX into the SLR packet.
Hmmm.... According to the link you sent there are two schools in this context, and 'an SLR' is legitimate according to one of the schools.
The Chicago Manual of Style sides with 'an LSR'. See: http://www.chicagomanualofstyle.org/qanda/data/faq/topics/Abbreviations/faq0010.html

Thanks,
Tal.

From: [email-masked] [mailto:[email-masked]] On Behalf Of gayle noble
Sent: Monday, July 15, 2013 3:28 AM
To: [email-masked]
Subject: Re: [trill] FW: New Version Notification for draft-mizrahi-trill-loss-delay-01.txt

some grammar things that jumped out at me
page 4
 o Delay Measurement (DM): the DM protocol measures the packet delay
     and packet delay variation between two RBridges. The measurement
      is performed using timestamped [time stamped] OAM messages.

page 5
2.3. Abbreviations  [**] L comes before M so Loss Measurement should probably come after Inter-Frame Delay Variation
  MP      Maintenance Point
  LM      Loss Measurement
  OAM     Operations, Administration and Maintenance

page 9
4.1.1. 1SL Message Transmission
  OWLM can be applied either proactively or on-demand, although as
  mentioned in Section 3.2.1. , [(extra space between period and comma)3.2.1.,] it is more likely to be applied proactively.

page 11
[please see http://www.gpuss.co.uk/english_usage/a_or_an.htm which explains what I learned in school about using an or a]
  The sender maintains a counter of transmitted SLM messages, and
  includes the value of this counter, TX, in each transmitted SLM
  message. The reflector maintains a counter of received SLM messages,
  TRX. The reflector generates an SLR [a SLR], and incorporates TRX into the SLR packet.

page 12
  An SLM [A SLM] message MAY be sent with a Data TLV, allowing loss measurement for various packet sizes.

  The reflector MUST maintain a reception counter, TRX, for each peer
  MEP and probe instance (test ID).
  Upon receiving an SLM [a SLM] packet, the reflector MUST verify that:

page 16
since DMM stands for Delay Measurement Message maybe this should be
5.2.1. DMM Message Transmission [DMM Transmission]??

same thought here
  A sender MAY include a Reflector Entropy TLV in a DMM message [DMM]. The Reflector Entropy TLV format is specified in [TRILL-FM].??